
import { request } from '@umijs/max';

export async function getCmsLineList(params?: API.AreaSubWay.LineParams) {
  return request<API.AreaSubWay.LinePageResult>(`/api/cms/line/list`, {
    method: 'GET',
    params: params
  });
}

// 新增
export async function addCmsLineSubWay(params?: API.AreaSubWay.AddLineParams) {
  return request<API.AreaSubWay.LinePageResult>(`/api/cms/line`, {
    method: 'post',
    data: params,
  });
}

export async function putCmsLineSubWay(params?: API.AreaSubWay.AddLineParams) {
  return request<API.AreaSubWay.LinePageResult>(`/api/cms/line`, {
    method: 'put',
    data: params,
  });
}

export async function deleteCmsLineSubWay(ids: number) {
  return request<API.AreaSubWay.LinePageResult>(`/api/cms/line/${ids}`, {
    method: 'delete',
  });
}

export async function getCmsLineSubWay(ids: number) {
  return request<API.AreaSubWay.LinePageResult>(`/api/cms/line/${ids}`, {
    method: 'get',
  });
}



